#region StandardUsing
using System;
using QPlatform.CoreBase;
using QPlatform.HMIProject;
using UAManagedCore;
using OpcUa = UAManagedCore.OpcUa;
using QPlatform.NetLogic;
using QPlatform.UI;
#endregion

public class MainWindowLogic1 : QPlatform.NetLogic.BaseNetLogic
{
    public override void Start()
    {
        var clientPanelLoader = (PanelLoader)LogicObject.Owner.Get("ClientPanelLoader");
        var remoteMainPanel = Project.Current.Get("UI/RemotePanels/RemoteMainPanel");
        if (remoteMainPanel == null)
        {
            Log.Error("Remote server main panel not found");
            return;
        }

        clientPanelLoader.ChangePanel(remoteMainPanel.NodeId, NodeId.Empty);

    }

    public override void Stop()
    {
        // Insert code to be executed when the user-defined logic is stopped
    }
}
